#!/usr/local/bin/perl
#
# Copyright (C) 1996-1998 by the Board of Trustees
#    of Leland Stanford Junior University.
# 
# This file is part of the SimOS distribution. 
# See LICENSE file for terms of the license. 
#


# List golden mipsy versions
#
# John Heinlein
# Stolen liberally from
# Joel Baxter

# This version is much lower-tech than Joel's version for flashlite.
# This script assumes you're already built in the standard simtools hierarchy.
 
# To modify, change the variables below & the code in the "set up" sections
# of the various make_golden subroutines.  If the golden source directory
# locations change, more extensive changes in this script are required.

$flash_root = $ENV{FLASH_ROOT};
$flash_tools = "$FLASH_ROOT/Tools";
$simtools   = "$flash_root/simulation";
$golden_dir = "/roadkill/rk5/dash2/Golden/libraries";

# Check that the correct environment variables exist, and that the
# correct user is running this script.

system "ls -lt $golden_dir/Mipsy";

