#
# Copyright (C) 1996-1998 by the Board of Trustees
#    of Leland Stanford Junior University.
# 
# This file is part of the SimOS distribution. 
# See LICENSE file for terms of the license. 
#

###
### profile_run.tcl
###
### $Author: verghese $
### $Date: 1999/09/27 22:06:08 $
###
### Simple file that can be sourced to automatically profile the entire run of the 
### simulator. The output will be a mon.out file in the run directory.

annotation set simos enter {
    if {$CPU==0} { 
        profile start
        console "PROFILE  start \n"
    }  
}

annotation set simos exit {
    profile stop
    console "\n\nPROFILE  end \n\n"
}


