/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*
 * tclsimos.h
 *
 * SimOS can currently be compiled either with a stable older release
 * of TCL (tcl 7.6) or with a beta release (tcl 8.0) that has a bytecode
 * compiler for speed.
 *
 * This file switches between the header files for the two versions.
 *
 */

#ifndef _TCLSIMOS_H
#define _TCLSIMOS_H

#ifdef TCL8
#include "tcl8.0.h"
#else
#include "tcl7.6.h"
#endif

#endif /* _TCLSIMOS_H */
