/************************************************************
 *
 *  vscsi.h
 *
 *   implements a scsi hd
 *
 ************************************************************/

#ifndef _VSCSI_H_
#define _VSCSI_H_


struct IODevices;

typedef struct VScsi_Info {
   int         errno;
   int         intrPending;
   int         bytesTransferred;
   VA          ecbptr;
   int         IRQ;
} VScsi_Info;

int VScsi_Init(struct IODevices *iod);

int mon_scsi_getconfig(int cpuNum, int slot, int *retVal);
int mon_scsi_command(int cpuNum, VA ecb_addr, int *retVal);
int mon_scsi_ackintr(int cpuNum, int drive, int *retVal);


#endif
