/*
 * Copyright (C) 1996 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*****************************************************************
 * simos_interface.h
 *
 *****************************************************************/

#ifndef X86SIM_SIMOS_INTERFACE_H
#define X86SIM_SIMOS_INTERFACE_H

extern void X86SimEnter(int swtch);
extern int  X86SimDebug(int cpuNum, int is_break_instruction);
extern void X86DoPortIO(int cpuNum, bool isInInst, int port, int len, void *buffer);
extern int  X86DoMonitorCallHack(int cpuNum);
extern bool X86HasIntrPending(int cpuNum, uint8 *vectorNum);
extern void X86DidIRET(int cpuNum);
#endif
