/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */


	/*
	 *  common_cache.h  -  Common definitions for the MIPSY and the MXS
	 *			cache simulators.
	 *
	 *	Jim Bennett
	 *	1995
	 */

#include "pcache.h"
#include "scache.h"

extern  Result  ReadICache(int cpuNum, VA vAddr, PA pAddr, Inst *pInst);

extern	Result	DCacheFetchShared (int cpunum, VA addr, PA paddr,
				int type, char **dataPtr);

extern	Result	DCacheFetchExclusive (int cpunum, VA addr, PA paddr,
				int type, char **dataPtr);

extern  Result  MXSCacheOp(int cpuNum, uint instr, VA vAddr, PA pAddr, Reg pc);

extern	void	DoMxsAction (struct s_cpu_state *st, void *missTag,
				int ms_action, int success);
