/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*****************************************************************
 * solo_stubs.c
 *
 * This file just contains a number of null functions so that we 
 * can link with simos with out ifdef'ing out so much of the simos
 * functions. 
 *****************************************************************/
#include <sys/types.h>
#include "sim_error.h"
#include "tclsimos.h"

/* Variables that are externed */
int ConsolePort;
int SlaveConsoleTimeOut;
int EtherSendPort;
int RestoreEthernet;
int FPromUseFL;
char *EthersimHostname = "none";
char *EtherAddress = "0";
char *FPromFile = "";
char *CheckpointID = "SOLO";
char *CheckpointCompress = "none";
char *cptSaveDir = ".";

void ClusterTclInit(Tcl_Interp *interp) 
{
}

void FaultInit(Tcl_Interp *interp)
{
}

FILE* Simrmt_RemoteFileOpen(char *pathName)
{
   ASSERT(0);
   return (FILE *)NULL;
}

void *Simrmt_mmap(void *addr, size_t len, int prot, int flags, 
                  char* pathName, off_t off)
{
   ASSERT(0);
   return (FILE *)NULL;
}
