#
# Copyright (C) 1998 by the Board of Trustees
#    of Leland Stanford Junior University.
# Copyright (C) 1998 Digital Equipment Corporation
#
# This file is part of the SimOS distribution.
# See LICENSE file for terms of the license.
#


FileSourced "osf/syscalls.tcl"

set osf1_syscall(0) SYS_syscall
set osf1_syscall(1) SYS_exit
set osf1_syscall(2) SYS_fork
set osf1_syscall(3) SYS_read
set osf1_syscall(4) SYS_write
set osf1_syscall(5) SYS_old_open
set osf1_syscall(6) SYS_close
set osf1_syscall(7) SYS_wait4
set osf1_syscall(8) SYS_old_creat
set osf1_syscall(9) SYS_link
set osf1_syscall(10) SYS_unlink
set osf1_syscall(11) SYS_execv
set osf1_syscall(12) SYS_chdir
set osf1_syscall(13) SYS_fchdir
set osf1_syscall(14) SYS_mknod
set osf1_syscall(15) SYS_chmod
set osf1_syscall(16) SYS_chown
set osf1_syscall(17) SYS_obreak
set osf1_syscall(18) SYS_getfsstat
set osf1_syscall(19) SYS_lseek
set osf1_syscall(20) SYS_getpid
set osf1_syscall(21) SYS_mount
set osf1_syscall(22) SYS_unmount
set osf1_syscall(23) SYS_setuid
set osf1_syscall(24) SYS_getuid
set osf1_syscall(25) SYS_exec_with_loader
set osf1_syscall(26) SYS_ptrace
set osf1_syscall(27) SYS_nrecvmsg
set osf1_syscall(28) SYS_nsendmsg
set osf1_syscall(29) SYS_nrecvfrom
set osf1_syscall(30) SYS_naccept
set osf1_syscall(31) SYS_ngetpeername
set osf1_syscall(32) SYS_ngetsockname
set osf1_syscall(27) SYS_recvmsg
set osf1_syscall(28) SYS_sendmsg
set osf1_syscall(29) SYS_recvfrom
set osf1_syscall(30) SYS_accept
set osf1_syscall(31) SYS_getpeername
set osf1_syscall(32) SYS_getsockname
set osf1_syscall(33) SYS_access
set osf1_syscall(34) SYS_chflags
set osf1_syscall(35) SYS_fchflags
set osf1_syscall(36) SYS_sync
set osf1_syscall(37) SYS_kill
set osf1_syscall(38) SYS_old_stat
set osf1_syscall(39) SYS_setpgid
set osf1_syscall(40) SYS_old_lstat
set osf1_syscall(41) SYS_dup
set osf1_syscall(42) SYS_pipe
set osf1_syscall(43) SYS_set_program_attributes
set osf1_syscall(44) SYS_profil
set osf1_syscall(45) SYS_open
set osf1_syscall(47) SYS_getgid
set osf1_syscall(48) SYS_sigprocmask
set osf1_syscall(49) SYS_getlogin
set osf1_syscall(50) SYS_setlogin
set osf1_syscall(51) SYS_acct
set osf1_syscall(52) SYS_sigpending
set osf1_syscall(54) SYS_ioctl
set osf1_syscall(55) SYS_reboot
set osf1_syscall(56) SYS_revoke
set osf1_syscall(57) SYS_symlink
set osf1_syscall(58) SYS_readlink
set osf1_syscall(59) SYS_execve
set osf1_syscall(60) SYS_umask
set osf1_syscall(61) SYS_chroot
set osf1_syscall(62) SYS_old_fstat
set osf1_syscall(63) SYS_getpgrp
set osf1_syscall(64) SYS_getpagesize
set osf1_syscall(65) SYS_mremap
set osf1_syscall(66) SYS_vfork
set osf1_syscall(67) SYS_stat
set osf1_syscall(68) SYS_lstat
set osf1_syscall(69) SYS_sbrk
set osf1_syscall(70) SYS_sstk
set osf1_syscall(71) SYS_mmap
set osf1_syscall(72) SYS_ovadvise
set osf1_syscall(73) SYS_munmap
set osf1_syscall(74) SYS_mprotect
set osf1_syscall(75) SYS_madvise
set osf1_syscall(76) SYS_old_vhangup
set osf1_syscall(77) SYS_kmodcall
set osf1_syscall(78) SYS_mincore
set osf1_syscall(79) SYS_getgroups
set osf1_syscall(80) SYS_setgroups
set osf1_syscall(81) SYS_old_getpgrp
set osf1_syscall(82) SYS_setpgrp
set osf1_syscall(83) SYS_setitimer
set osf1_syscall(84) SYS_old_wait
set osf1_syscall(85) SYS_table
set osf1_syscall(86) SYS_getitimer
set osf1_syscall(87) SYS_gethostname
set osf1_syscall(88) SYS_sethostname
set osf1_syscall(89) SYS_getdtablesize
set osf1_syscall(90) SYS_dup2
set osf1_syscall(91) SYS_fstat
set osf1_syscall(92) SYS_fcntl
set osf1_syscall(93) SYS_select
set osf1_syscall(94) SYS_poll
set osf1_syscall(95) SYS_fsync
set osf1_syscall(96) SYS_setpriority
set osf1_syscall(97) SYS_socket
set osf1_syscall(98) SYS_connect
set osf1_syscall(99) SYS_accept
set osf1_syscall(99) SYS_old_accept
set osf1_syscall(100) SYS_getpriority
set osf1_syscall(101) SYS_send
set osf1_syscall(102) SYS_recv
set osf1_syscall(101) SYS_old_send
set osf1_syscall(102) SYS_old_recv
set osf1_syscall(103) SYS_sigreturn
set osf1_syscall(104) SYS_bind
set osf1_syscall(105) SYS_setsockopt
set osf1_syscall(106) SYS_listen
set osf1_syscall(107) SYS_plock
set osf1_syscall(108) SYS_old_sigvec
set osf1_syscall(109) SYS_old_sigblock
set osf1_syscall(110) SYS_old_sigsetmask
set osf1_syscall(111) SYS_sigsuspend
set osf1_syscall(112) SYS_sigstack
set osf1_syscall(113) SYS_recvmsg
set osf1_syscall(114) SYS_sendmsg
set osf1_syscall(113) SYS_old_recvmsg
set osf1_syscall(114) SYS_old_sendmsg
set osf1_syscall(116) SYS_gettimeofday
set osf1_syscall(117) SYS_getrusage
set osf1_syscall(118) SYS_getsockopt
set osf1_syscall(120) SYS_readv
set osf1_syscall(121) SYS_writev
set osf1_syscall(122) SYS_settimeofday
set osf1_syscall(123) SYS_fchown
set osf1_syscall(124) SYS_fchmod
set osf1_syscall(125) SYS_recvfrom
set osf1_syscall(125) SYS_old_recvfrom
set osf1_syscall(126) SYS_setreuid
set osf1_syscall(127) SYS_setregid
set osf1_syscall(128) SYS_rename
set osf1_syscall(129) SYS_truncate
set osf1_syscall(130) SYS_ftruncate
set osf1_syscall(131) SYS_flock
set osf1_syscall(132) SYS_setgid
set osf1_syscall(133) SYS_sendto
set osf1_syscall(134) SYS_shutdown
set osf1_syscall(135) SYS_socketpair
set osf1_syscall(136) SYS_mkdir
set osf1_syscall(137) SYS_rmdir
set osf1_syscall(138) SYS_utimes
set osf1_syscall(140) SYS_adjtime
set osf1_syscall(141) SYS_getpeername
set osf1_syscall(141) SYS_old_getpeername
set osf1_syscall(142) SYS_gethostid
set osf1_syscall(143) SYS_sethostid
set osf1_syscall(144) SYS_getrlimit
set osf1_syscall(145) SYS_setrlimit
set osf1_syscall(146) SYS_old_killpg
set osf1_syscall(147) SYS_setsid
set osf1_syscall(148) SYS_quotactl
set osf1_syscall(149) SYS_oldquota
set osf1_syscall(150) SYS_getsockname
set osf1_syscall(150) SYS_old_getsockname
set osf1_syscall(153) SYS_pid_block
set osf1_syscall(154) SYS_pid_unblock
set osf1_syscall(156) SYS_sigaction
set osf1_syscall(157) SYS_sigwaitprim
set osf1_syscall(158) SYS_nfssvc
set osf1_syscall(159) SYS_getdirentries
set osf1_syscall(160) SYS_statfs
set osf1_syscall(161) SYS_fstatfs
set osf1_syscall(163) SYS_async_daemon
set osf1_syscall(164) SYS_getfh
set osf1_syscall(165) SYS_getdomainname
set osf1_syscall(166) SYS_setdomainname
set osf1_syscall(169) SYS_exportfs
set osf1_syscall(181) SYS_alt_plock
set osf1_syscall(184) SYS_getmnt
set osf1_syscall(187) SYS_alt_sigpending
set osf1_syscall(188) SYS_alt_setsid
set osf1_syscall(199) SYS_swapon
set osf1_syscall(200) SYS_msgctl
set osf1_syscall(201) SYS_msgget
set osf1_syscall(202) SYS_msgrcv
set osf1_syscall(203) SYS_msgsnd
set osf1_syscall(204) SYS_semctl
set osf1_syscall(205) SYS_semget
set osf1_syscall(206) SYS_semop
set osf1_syscall(207) SYS_uname
set osf1_syscall(208) SYS_lchown
set osf1_syscall(209) SYS_shmat
set osf1_syscall(210) SYS_shmctl
set osf1_syscall(211) SYS_shmdt
set osf1_syscall(212) SYS_shmget
set osf1_syscall(213) SYS_mvalid
set osf1_syscall(214) SYS_getaddressconf
set osf1_syscall(215) SYS_msleep
set osf1_syscall(216) SYS_mwakeup
set osf1_syscall(217) SYS_msync
set osf1_syscall(218) SYS_signal
set osf1_syscall(219) SYS_utc_gettime
set osf1_syscall(220) SYS_utc_adjtime
set osf1_syscall(222) SYS_security
set osf1_syscall(223) SYS_kloadcall
set osf1_syscall(233) SYS_getpgid
set osf1_syscall(234) SYS_getsid
set osf1_syscall(235) SYS_sigaltstack
set osf1_syscall(236) SYS_waitid
set osf1_syscall(237) SYS_priocntlset
set osf1_syscall(238) SYS_sigsendset
set osf1_syscall(239) SYS_set_speculative
set osf1_syscall(240) SYS_msfs_syscall
set osf1_syscall(241) SYS_sysinfo
set osf1_syscall(242) SYS_uadmin
set osf1_syscall(243) SYS_fuser
set osf1_syscall(244) SYS_proplist_syscall
set osf1_syscall(250) SYS_uswitch
set osf1_syscall(251) SYS_usleep_thread
set osf1_syscall(252) SYS_audcntl
set osf1_syscall(253) SYS_audgen
set osf1_syscall(254) SYS_sysfs
set osf1_syscall(255) SYS_subsys_info
set osf1_syscall(256) SYS_getsysinfo
set osf1_syscall(257) SYS_setsysinfo
set osf1_syscall(258) SYS_afs_syscall
set osf1_syscall(259) SYS_swapctl
set osf1_syscall(260) SYS_memcntl

set osf1_intr(0)        Intr_IPI
set osf1_intr(1)        Intr_Clock
set osf1_intr(2)        Intr_CError_MCheck
set osf1_intr(3)        Intr_IO
set osf1_intr(4)        Intr_PCounter

set osf1_MM(0)          MM_TNV
set osf1_MM(1)          MM_ACV
set osf1_MM(2)          MM_FOR
set osf1_MM(3)          MM_FOE
set osf1_MM(4)          MM_FOW


