/*
 * Copyright (C) 1996 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*
 * ethersim.h --
 *
 *	Declarations of the external interfaces 
 *	exported to the rest of the Sprite file system. 
 *
 *
 * $Header:
 */

#ifndef _ETHERSIM_H
#define	_ETHERSIM_H

/*
 * ETHER_SIM_PORT - UDP/IP port number to send ethernet packets to.  
 * ETHER_SIM_LOCAL_EADDR - First 4 bytes of the ethernet address of simulated
 *			   host on the ethernet. Is this in host byorder.
 */

#define	ETHER_SIM_PORT 		3232


#endif /* _ETHERSIM_H */
