/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*****************************************************************
 * Stats
 * 
 * Statistics that must be common to the different simulators.
 * 
 * $Author: verghese $
 * $Date: 1999/09/27 22:07:45 $
 *
 *****************************************************************/


char *syscallName[] = { "syscall","exit","fork","read","write","open","close","Forked","creat","link","unlink","execv","chdir","time","NULL","chmod","chown","brk","stat","lseek","getpid","mount","umount","setuid","getuid","stime","ptrace","alarm","NULL","pause","utime","NULL","NULL","access","nice","statfs","sync","kill","fstatfs","setpgrp","syssgi","dup","pipe","times","profil","plock","setgid","getgid","NULL","msgsys","sysmips","acct","shmsys","semsys","ioctl","uadmin","sysmp","utssys","NULL","execve","umask","chroot","fcntl","ulimit","NULL","NULL","NULL","NULL","NULL","NULL","NULL","NULL","NULL","NULL","NULL","NULL","NULL","NULL","NULL","rmdir","mkdir","getdents","sginap","sgikopt","sysfs","getmsg","putmsg","poll","sigreturn","accept","bind","connect","gethostid","getpeername","getsockname","getsockopt","listen","recv","recvfrom","recvmsg","select","send","sendmsg","sendto","sethostid","setsockopt","shutdown","socket","gethostname","sethostname","getdomainname","setdomainname","truncate","ftruncate","rename","symlink","readlink","NULL","NULL","nfssvc","getfh","async","exportfs","setregid","setreuid","getitimer","setitimer","adjtime","BSD","sproc","prctl","procblk","sprocsp","NULL","mmap","munmap","mprotect","msync","madvise","pagelock","getpagesize","quotactl","NULL","BSDgetpgrp","BSDsetpgrp","vhangup","fsync","fchdir","getrlimit","setrlimit","cacheflush","cachectl","fchown","fchmod","NULL","socketpair","sysinfo","nuname","xstat","lxstat","fxstat","xmknod","ksigaction","sigpending","sigprocmask","sigsuspend","sigpoll","swapctl","getcontext","setcontext","waitsys","sigstack","sigaltstack","sigsendset","statvfs","fstatvfs","getpmsg","putpmsg","lchown","priocntl","ksigqueue" };


char *causeName[] = {
   "EXC_INT", "EXC_MOD", "EXC_RMISS", "EXC_WMISS", "EXC_RADE",
   "EXC_WADE", "EXC_IBE", "EXC_DBE", "EXC_SYSCALL", "EXC_BREAK",
   "EXC_II", "EXC_CPU", "EXC_OV", "EXC_TRAP", "EXC_VCEI",
   "EXC_FPE", "NULL", "NULL", "NULL", "NULL",
   "NULL", "NULL", "NULL",  "EXC_WATCH", "NULL",
   "NULL", "NULL", "NULL", "NULL", "NULL",
   "NULL", "EXC_CED", "SEXC_SEGV", "SEXC_RESCHED", "SEXC_PAGEIN",
   "SEXC_CPU", "SEXC_BUS", "SEXC_KILL", "SEXC_WATCH", "SEXC_EOP",
   "END_SYSCALL","END_IDLE","IDLE_INTR",  "IN_SYSCALL", "KERNEL_INT",
   "AFTER_EXIT", "NO_EXCEPTION", "UTLB_NULL","UTLB_MOD","UTLB_RMISS",
   "UTLB_WMISS", "DBL_FAULT", "TRANSIENT", "VFAULT","VFAULT_ZERO",
   "PFAULT","PFAULT_COW","DISK_PAGE_FAULT", "DAEMONS", "VFAULT_REM",
   "VFAULT_RBLOCK","VFAULT_SEMA","PFAULT_SEMA","PREEMPTION",
   "INTR_timein","INTR_netintr","INTR_level3", "INTR_level4", "INTR_clock",
   "INTR_cpuintr","INTR_ackg", "INTR_buserror", "INTR_disk", "INTR_et",
   "INTR_tty"
};

