/*
 * print.h -- Support for dumping pipeline info to the log
 */

#ifndef SAM_PRINT_H
#define SAM_PRINT_H

#include "sam.h"

extern void SamPrintCycle(SamState *sp);
extern void SamPrintIwin(SamState *sp);
extern void SamPrintIwinEntry(SamState *sp, SamIwinEntry *ip);
extern void SamPrintFetch(SamState *sp, SamIwinEntry *ip);
extern void SamPrintStage(SamState *sp, SamIwinEntry *ip, char *stage);

#endif /* SAM_PRINT_H */
