/*
 * Copyright (C) 1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * Copyright (C) 1998 Digital Equipment Corporation
 *
 * This file is part of the SimOS distribution.
 * See LICENSE file for terms of the license.
 *
 */

#ifdef NT_FRAMEBUFFER

#ifndef _X_FRAMEBUF_H
#define _X_FRAMEBUF_H

unsigned char* CreateFramebuf(int machine,
                              unsigned int actual_x, unsigned int actual_y,
                              unsigned int* img_x, unsigned int* img_y);

int DestroyFramebuf(int machine);

int SetPalette(int machine, unsigned col[256]);

int RefreshFramebuf(int machine);

int HandleFramebufEvents(void);

#endif /* _X_FRAMEBUF_H */

#endif /* NT_FRAMEBUFFER */
