/*
 * Copyright (C) 1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * Copyright (C) 1998 Digital Equipment Corporation
 *
 * This file is part of the SimOS distribution.
 * See LICENSE file for terms of the license.
 *
 */


#include "gamma.h"
#include "thread.h"
#include "globals.h"
void aint_init (int argc, char **argv, char **envp);
void execute ();
void execute_gamma();
void aint_done ();

/* 
 * XXX bugnion. fixthis 
 * link problems
*/

int restoringCpt=0;
int simosCPUType;

int
main (int argc, char **argv, char **envp)
{
#ifdef SOLO
   SimErrorInit("log");
   TCLInit("init.simos");
#endif
    aint_init (argc, argv, envp);
#ifdef SOLO
    threads[0].st.aintThread = threads;
    execute_gamma(&threads[0].st,threads->st.PC);
#else
    execute ();
#endif
    aint_done ();
    exit (0);
}
