#ifndef ADDR_LAYOUT_H
#define ADDR_LAYOUT_H


#if defined(SIM_ALPHA) || defined(SIM_MIPS32) || defined(SIM_MIPS64)
<--- should not be here --->
#endif

/*
 * These defines are only right for Linux at this point.
 */

# define KUBASE ((Reg)0x0)            /* called UVBASE in kernel */
# define KUSIZE ((Reg)0xC0000000)
# define K0BASE ((Reg)0xC0000000)     /* called KVBASE in kernel */

# define IS_KUSEG(vaddr) ((Reg)(vaddr)<K0BASE) /* called KADDR in kernel */
# define IS_KSEG0(vaddr) ((Reg)(vaddr)<=K0BASE)
# define IS_KSEG1(vaddr) 0


#define PHYS_TO_MEMADDR(_m, _x) ((MA)(SIM_MEM_ADDR(_m) + (PA)(_x)))
#define MEMADDR_TO_PHYS(_m, _x) ((PA)((MA)(_x) - SIM_MEM_ADDR(_m)))
#define IS_VALID_PA(_m, _x)  (((MA)(_x)) < ((MA)MEM_SIZE(_m)))

#endif /* ndef ADDR_LAYOUT_H */
