#ifndef X86_ARCH_H
#define X86_ARCH_H

/*****************************************************************
 * x86_arch.h
 *
 * Generic Intel architecture definitions that are shared among
 * x86 simulators.
 *****************************************************************/

#if defined(SIM_ALPHA) || defined(SIM_MIPS32) || defined(SIM_MIPS64)
<--- should not be here --->
#endif

#include "simtypes.h"

#define NUM_OFFSET_BITS (12)

/* MMU_PAGESIZE in uware kernel */
#define SIM_PAGE_SIZE   (1<<NUM_OFFSET_BITS)
#define DEFAULT_PAGESZ  SIM_PAGE_SIZE

#define PAGE_NUMBER(_a) (((Reg64)(_a))>>NUM_OFFSET_BITS)

#endif /* ndef X86_ARCH_H */
