/*
 * Copyright (C) 1996 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*****************************************************************
 * $File$
 *
 * $Author: nikos $
 * $Date: 1998/04/29 04:54:44 $
 ****************************************************************/
#ifndef _STARTUP_H
#define _STARTUP_H

#include "simtypes.h"
#include "cpu_interface.h"
#include "../shared/cpu_state.h"


extern int hostCPUIdleStats[];
extern char *MemFileDir;

extern CPUState* SBase;

extern CPUType simosCPUType;

extern int inCellMode;    /* True if using cells (implies only 1 machine) */

void MemStall (int cpuNum, Result result);

#endif /* _STARTUP_H */
