/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*****************************************************************
 * embra_interface.h
 * Provides the functions that SimOs calls
 *****************************************************************/

#ifndef SIMOS_INTERFACE_H
#define SIMOS_INTERFACE_H

extern void EmbraEnter(int swtch);
extern void EmbraStartClock(int cpuNum, uint interval);
extern void EmbraExit(CPUType new_cpu);
extern void EmbraDoExit(void);
extern void EmbraSimDetailVecInit(void);
extern void EmbraCPUVectorInit(void);

#endif
